###############################################################
#
# spec file for package kplayer 
#
# Copyright (c) 2004 Achim Mueller, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to ace@gnubg.org
#
###############################################################

Name:         kplayer
License:      GNU General Public License (GPL) - all versions
Group:        Multimedia/Video
Summary:      a KDE frontend for MPlayer
Version:      0.6.0
Release:      1.2007mcnl 
Vendor:       Mandrivaclub.nl
Source:       %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://sourceforge.net/docman/display_doc.php?docid=23142&group_id=71710

%define prefix /usr
%define section Multimedia/Video


%description

KPlayer is a KDE media player based on MPlayer, www.mplayerhq.hu.

With KPlayer you can easily play a wide variety of video and audio files and
streams using a rich and friendly interface compliant with KDE standards.

Features include
- video, audio and subtitle playback from file, URL, DVD, VCD,
  audio CD, TV, DVB, etc., as well as KDE I/O Slaves;
- volume, contrast, brightness, hue and saturation controls;
- zooming, full screen and fixed aspect options;
- status and progress display and seeking;
- playlist;
- configuration dialog and file specific options;
- KPart for integration with Konqueror, KMLDonkey, etc.


Authors:
--------
kiriuja <kplayer-dev@en-directo.net>


%prep
rm -rf %{buildroot}
%setup

%build
export CFLAGS="$RPM_OPT_FLAGS"

make -f Makefile.dist

%configure --prefix=`kde-config --prefix`

make


%install
make DESTDIR=$RPM_BUILD_ROOT install

rm -r %{buildroot}%{_datadir}/icons

#icons
%define  nameicon kplayer/hi64-app-kplayer.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png


# Menu 2006
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
title="%name" \
longtitle="%summary" \
needs="X11" \
section="%section" \
icon="%name.png" \
mimetypes="video/mpeg,video/msvideo,video/quicktime,video/x-avi,video/x-ms-asf,video/x-ms-wmv,video/x-msvideo,application/x-ogg,application/ogg,audio/x-mp3,audio/x-mpeg,video/x-fli,audio/x-wav"\
accept_url="true" multiple_files="true"
EOF

# Menu new 2007 
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde $RPM_BUILD_ROOT%{_datadir}/applications/kde/*

%post

%update_menus

%postun


%clean_menus

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/kplayer
%{_libdir}/menu/kplayer
%{_libdir}/kde3/libkplayerpart.la
%{_libdir}/kde3/libkplayerpart.so
%{_datadir}/applications/kde/kplayer.desktop
%{_datadir}/apps/konqueror/servicemenus/kplayer*
%{_datadir}/apps/kplayer
%{_datadir}/doc/HTML/*/kplayer
%{_datadir}/icons/*
%{_datadir}/locale/*/LC_MESSAGES/kplayer.mo
%{_datadir}/services/kplayer*


%changelog -n kplayer

* Mon Jan 15 2007 Marco Meijer <korrel@mandrivaclub.nl> 0.6.0-1.2007mcnl
- new version 
* Tue Jun 07 2005 Marco Meijer <korrel@mandrakeclub.nl> 0.5.3-1.102mcnl
- Mandriva LE2005 rebuild
* Sat Jan 15 2005 - Marco Meijer <korrel@mandrakeclub.nl> 0.5.3-1.101mcnl
- new version
* Sun Jan 02 2005 - Marco Meijer <korrel@mandrakeclub.nl> 0.5.2-1.101mcnl
- Mandrakeclub.nl version
* Mon Oct 11 2004 - ace@gnubg.org
- new version 0.5.2
* Mon Jul 12 2004 - <ace@gnubg.org>
- fixed some typos in specfile
* Wed Jul 07 2004 - <ace@gnubg.org>
- first try building a spec for SuSE

